Skip to main content
`Ctrl`+`K`

# VecAXPBY

Computes `y = alpha x + beta y`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecAXPBY(Vec y, PetscScalar alpha, PetscScalar beta, Vec x)

Logically Collective

## Input Parameters

- alpha - first scalar

- beta - second scalar

- x - the first scaled vector

- y - the second scaled vector

## Output Parameter

- y - output vector

## Developer Notes

The implementation is optimized for `alpha` and/or `beta` values of 0.0 and 1.0

## See Also

Vectors and Parallel Data, `Vec`, `VecAYPX()`, `VecMAXPY()`, `VecWAXPY()`, `VecAXPY()`, `VecAXPBYPCZ()`

## Level

intermediate

## Location

src/vec/vec/interface/rvector.c

## Examples

src/ts/tutorials/ex30.c

## Implementations

VecAXPBY_Nest() in src/vec/vec/impls/nest/vecnest.c
VecAXPBY_Seq() in src/vec/vec/impls/seq/bvec1.c
VecAXPBY_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecAXPBY_SeqViennaCL() in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages